atkmm: Atk::Document Class Reference

atkmm 2.36.1

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Atk::Document Class Reference

The ATK interface which allows access to a DOM associated with on object. More...

`#include <atkmm/document.h>`

Inheritance diagram for Atk::Document:
[legend]

## Public Member Functions
| Document (Document&& src) noexcept
Document& | operator= (Document&& src) noexcept
| ~Document () noexcept override
AtkDocument* | gobj ()
| Provides access to the underlying C GObject. More...
const AtkDocument* | gobj () const
| Provides access to the underlying C GObject. More...
Glib::ustring | get_attribute_value (const Glib::ustring& attribute_name) const
| Retrieves the value of the given attribute_name inside document. More...
bool | set_attribute_value (const Glib::ustring& attribute_name, const Glib::ustring& attribute_value)
| Sets the value for the given attribute_name inside document. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| Document ()
| You should derive from this class to use it. More...
virtual const gchar* | get_document_type_vfunc ()
virtual gpointer | get_document_vfunc () const
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Atk::Document > | wrap (AtkDocument* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

The ATK interface which allows access to a DOM associated with on object.

This interface should be supported by any object that has an associated document object model (DOM). This interface provides the standard mechanism allowing an assistive technology access to the DOM.

## Constructor & Destructor Documentation

## ◆ Document() [1/2]

Atk::Document::Document | ( |  | ) |
| protected

You should derive from this class to use it.

## ◆ Document() [2/2]

Atk::Document::Document | ( | Document&& | src | ) |
| noexcept

## ◆ ~Document()

Atk::Document::~Document | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ add_interface()

static void Atk::Document::add_interface | ( | GType | gtype_implementer | ) |
| static

## ◆ get_attribute_value()

Glib::ustring Atk::Document::get_attribute_value | ( | const Glib::ustring & | attribute_name | ) | const

Retrieves the value of the given attribute_name inside document.

Since atkmm 1.12:

Parameters

  attribute_name | A character string representing the name of the attribute whose value is being queried.

Returns
  A string value associated with the named attribute for this document, or `nullptr` if a value for attribute_name has not been specified for this document.

## ◆ get_document_type_vfunc()

virtual const gchar* Atk::Document::get_document_type_vfunc | ( |  | ) |
| protectedvirtual

## ◆ get_document_vfunc()

virtual gpointer Atk::Document::get_document_vfunc | ( |  | ) | const
| protectedvirtual

## ◆ get_type()

static GType Atk::Document::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

AtkDocument* Atk::Document::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const AtkDocument* Atk::Document::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ operator=()

Document& Atk::Document::operator= | ( | Document&& | src | ) |
| noexcept

## ◆ set_attribute_value()

bool Atk::Document::set_attribute_value | ( | const Glib::ustring & | attribute_name,
|  | const Glib::ustring & | attribute_value
| ) |  |

Sets the value for the given attribute_name inside document.

Since atkmm 1.12:

Parameters

  attribute_name | A character string representing the name of the attribute whose value is being set.
  attribute_value | A string value to be associated with attribute_name.

Returns
  `true` if attribute_value is successfully associated with attribute_name for this document, and `false` if if the document does not allow the attribute to be modified.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Atk::Document > wrap | ( | AtkDocument * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.